#!/bin/bash

if [ -r ~/.ssh/ssh_host_rsa_key ]; then
    /usr/bin/sshd -D -e
else
    ssh-keygen -q -N "" -t rsa -b 4096 -f ~/.ssh/ssh_host_rsa_key
    ssh-keygen -q -N "" -t ecdsa -f ~/.ssh/ssh_host_ecdsa_key
    ssh-keygen -q -N "" -t ed25519 -f ~/.ssh/ssh_host_ed25519_key
    /usr/bin/sshd -D -e
fi